### Function

# Dex dbus_connection_call

since: 0.4

#### Declaration [src]

    DexFuture*
    dex_dbus_connection_call (
      GDBusConnection* connection,
      const char* bus_name,
      const char* object_path,
      const char* interface_name,
      const char* method_name,
      GVariant* parameters,
      const GVariantType* reply_type,
      GDBusCallFlags flags,
      int timeout_msec
    )

#### Description [src]

Wrapper for g_dbus_connection_call().

Available since: 0.4

#### Parameters

`connection`

  Type: `GDBusConnection`

  No description available.

  The data is owned by the caller of the function.

`bus_name`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`method_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`reply_type`

  Type: `GVariantType`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GDBusCallFlags`

  No description available.

`timeout_msec`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GVariant` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.